Bug 177520 - Clicking on link on a Kenia project details page opens wrong page(s)
Clicking on link on a Kenia project details page opens wrong page(s)
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
PC Windows Vista
: P1 (vote)
: TBD
Assigned To: Petr Dvorak
issues@connecteddeveloper
http://cps.kenai.com
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 08:09 UTC by bdschubert
Modified: 2009-12-07 03:00 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bdschubert 2009-11-24 08:09:50 UTC
I opened my details page for my cps.kenai.com project in the Kenai project explorer.  I clicked on the Downloads link - and three web pages were opened in my browser: two to my project's Downloads page, and one to the home page for another Kenai project in my list of Kenai Open Projects.  Unfortunately, the home page got the focus in my browser. 

Note: Earlier in the session, I had used the Kenai details page to view the other project's home page - it appears this reference was not release when I went to my switched to my project in the Kenai project explorer.

Mozilla FireFox 3.5
Comment 1 Petr Dvorak 2009-11-28 07:14:47 UTC
Yep... this is mine...
Comment 2 Petr Dvorak 2009-11-28 07:22:46 UTC
The listener is not detached from the shared button after the details page refreshes...
Comment 3 Petr Dvorak 2009-11-28 07:55:30 UTC
I would like to fix this in 6.8 - the fix is trivial. Adding 68_HR_FIX keyword.
Comment 4 Petr Dvorak 2009-11-28 08:43:18 UTC
Fixed. Thanks for catching this...

http://hg.netbeans.org/cdev/rev/1c96531273ad
Comment 5 Petr Dvorak 2009-11-28 08:44:03 UTC
Jaro, could you verify, please? Just open details page of more projects and try clicking links...
Comment 6 Quality Engineering 2009-11-29 02:28:38 UTC
Integrated into 'main-golden', will be available in build *200911290200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1c96531273ad
User: joshis@netbeans.org
Log: #177520 -  Clicking on link on a Kenia project details page opens wrong page(s)
Comment 7 Jaromir Uhrik 2009-11-30 06:20:43 UTC
Verified in the following cdev build:
Product Version: NetBeans IDE Dev (Build cdev-1750-on-091130)
Java: 1.6.0_15; Java HotSpot(TM) 64-Bit Server VM 14.1-b02-92
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)
Comment 8 Petr Dvorak 2009-12-02 09:39:57 UTC
Reopening, so that the issue won't get lost (it is present in RC2 builds).
Comment 9 Marian Mirilovic 2009-12-03 08:53:32 UTC
Ok Petr, please proceed with integration into release68 today
Comment 10 Petr Dvorak 2009-12-04 07:51:01 UTC
Fixed in the release branch:

http://hg.netbeans.org/release68/rev/ec9be6a6486c
Comment 11 Jaromir Uhrik 2009-12-07 03:00:03 UTC
Verified. Works fine in:
Product Version: NetBeans IDE 6.8 (Build 200912041610)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01-101
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo